#!/bin/sh

NET_IN_CONF=/var/run/net_in.conf
NET_OUT_CONF=/var/run/net_out1.conf

if [ ! -f $NET_IN_CONF ] ; then
    cat << EOT > $NET_IN_CONF
ENCRYPTION_PASSWORD="112233445566"
TRANSPORT="ARQ"
EOT
fi

if [ ! -f $NET_OUT_CONF ] ; then
    cat << EOT > $NET_OUT_CONF
ENCRYPTION_PASSWORD="112233445566"
TRANSPORT="ARQ"
EOT
fi

LIB_PATH=/disk/qvstream
[ ! -d $LIB_PATH ] && LIB_PATH=.
export LD_LIBRARY_PATH=$LIB_PATH
cd $LIB_PATH
if [ -f libqvstream.so.1.0 ] ; then
    [ ! -L libqvstream.so ] &&  ln -s libqvstream.so.1.0 libqvstream.so
elif [ -f libqvstream.1.0.0.dylib ] ; then
    if [ ! -L libqvstream.dylib ] ; then
        ln -s libqvstream.1.0.0.dylib libqvstream.dylib
        ln -s libqvstream.1.0.0.dylib libqvstream.1.dylib
    fi
fi
$LIB_PATH/test_lib
