#!/bin/sh
#
# Copyright (C) 2004-2015 QVidium Technologies, Inc.
#

if pidof encoder1 > /dev/null 2>&1 ; then
    echo "You must stop encoder1 first"
    exit 0
fi

if pidof encoder2 > /dev/null 2>&1 ; then
    echo "You must stop encoder2 first"
    exit 0
fi

if pidof decoder > /dev/null 2>&1 ; then
    echo "You must stop decoder first"
    exit 0
fi

if pidof transcoder > /dev/null 2>&1 ; then
    echo "You must stop transcoder first"
    exit 0
fi

rm -fr /disk/qvstream
sync

tar xzf qvstream.tar.gz -C /disk
rm qvstream.tar.gz
sync

exit 0
